Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 3763)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 3766)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! trim added to avoid truncation compiler warnings
+! 
+! 3761 2019-02-25 15:31:42Z raasch
 ! unused variables removed
 ! 
@@ -1260,7 +1263,7 @@
 !
 !-- set time series output units for fluxes
-    dots_unit(14:16) = heatflux_output_unit
-    dots_unit(21)    = waterflux_output_unit
-    dots_unit(19:20) = momentumflux_output_unit
+    dots_unit(14:16) = TRIM( heatflux_output_unit )
+    dots_unit(21)    = TRIM( waterflux_output_unit )
+    dots_unit(19:20) = TRIM( momentumflux_output_unit )
 
 !
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 3763)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 3766)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! Bugfix: use time_since_reference_point instead of simulated_time (relevant
 ! when using wall/soil spinup)
@@ -281,8 +284,7 @@
  
 
-    USE arrays_3d,                                                             &
-        ONLY:  dzw, e, heatflux_output_conversion, nc, nr, p, pt,              &
-               precipitation_amount, prr, q, qc, ql, ql_c, ql_v, qr, s, tend,  &
-               u, v, vpt, w, zu, zw, waterflux_output_conversion, hyrho, d_exner
+    USE arrays_3d,                                                                                 &
+        ONLY:  dzw, d_exner, e, heatflux_output_conversion, p, pt, q, ql, ql_c, ql_v, s, tend, u,  &
+               v, vpt, w, waterflux_output_conversion, zu, zw
 
     USE averaging
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 3763)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 3766)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! Bugfix: use time_since_reference_point instead of simulated_time (relevant
 ! when using wall/soil spinup)
@@ -244,6 +247,5 @@
 
     USE arrays_3d,                                                             &
-        ONLY:  d_exner, e, nc, nr, p, pt, prr, q, qc, ql, ql_c, ql_v, qr, s,   &
-               tend, u, v, vpt, w
+        ONLY:  d_exner, e, p, pt, q, ql, ql_c, ql_v, s, tend, u, v, vpt, w
 
     USE averaging
@@ -256,9 +258,7 @@
 
     USE control_parameters,                                                    &
-        ONLY:  air_chemistry, biometeorology, do3d, do3d_no, do3d_time_count,  &
-               io_blocks, io_group, land_surface, message_string,              &
-               ntdim_3d, nz_do3d,  ocean_mode, plant_canopy,                   &
-               psolver, salsa, time_since_reference_point,                     &
-               urban_surface, varnamelength
+        ONLY:  do3d, do3d_no, do3d_time_count, io_blocks, io_group,            &
+               land_surface, message_string, ntdim_3d, nz_do3d, psolver,       &
+               time_since_reference_point, urban_surface, varnamelength
 
     USE cpulog,                                                                &
Index: palm/trunk/SOURCE/init_masks.f90
===================================================================
--- palm/trunk/SOURCE/init_masks.f90	(revision 3763)
+++ palm/trunk/SOURCE/init_masks.f90	(revision 3766)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3687 2019-01-22 10:42:06Z knoop
 ! unused variables removed
 ! 
@@ -166,6 +169,5 @@
 
     USE control_parameters,                                                    &
-        ONLY:  air_chemistry,                                                  &
-               constant_diffusion, cloud_droplets,                             &
+        ONLY:  constant_diffusion, cloud_droplets,                             &
                data_output_masks, data_output_masks_user,                      &
                doav, doav_n, domask, domask_no, dz, dz_stretch_level_start,    &
@@ -177,5 +179,5 @@
                mask_x_loop, mask_xyz_dimension, mask_y, mask_y_loop, mask_z,   &
                mask_z_loop, max_masks,  message_string, mid,                   &
-               passive_scalar, ocean_mode, salsa, varnamelength
+               passive_scalar, ocean_mode, varnamelength
 
     USE grid_variables,                                                        &
Index: palm/trunk/SOURCE/module_interface.f90
===================================================================
--- palm/trunk/SOURCE/module_interface.f90	(revision 3763)
+++ palm/trunk/SOURCE/module_interface.f90	(revision 3766)
@@ -25,4 +25,9 @@
 ! -----------------
 ! $Id$
+! first argument removed from module_interface_rrd_*, statement added to avoid
+! compiler warning about unused variable, file reformatted with respect to coding
+! standards
+! 
+! 3762 2019-02-25 16:54:16Z suehring
 ! only pass required arguments to surface_data_output_rrd_local
 ! 
@@ -76,65 +81,65 @@
 !> @todo Re-format module to be consistent with coding standard
 !------------------------------------------------------------------------------!
-MODULE module_interface
-
-   USE indices,                                                                &
-       ONLY:  nbgp, nxl, nxlg, nxr, nxrg, nys, nysg, nyn, nyng, nzb, nzt
-
-   USE kinds
-
-!- load module-specific control parameters.
-!- ToDo: move all of them to respective module or a dedicated central module
-
-   USE control_parameters,                                                     &
-       ONLY:  biometeorology,                                                  &
-              air_chemistry,                                                   &
-              indoor_model,                                                    &
-              land_surface,                                                    &
-              large_scale_forcing,                                             &
-              nesting_offline,                                                 &
-              nudging,                                                         &
-              ocean_mode,                                                      &
-              plant_canopy,                                                    &
-              salsa,                                                           &
-              surface_output,                                                  &
-              syn_turb_gen,                                                    &
-              urban_surface,                                                   &
-              virtual_flight,                                                  &
-              virtual_measurement,                                             &
-              wind_turbine
-
-!- load interface routines of all PALM modules
-
-   USE biometeorology_mod,                                                     &
-       ONLY:  bio_parin,                                                       &
-              bio_check_data_output,                                           &
-              bio_init,                                                        &
-              bio_init_checks,                                                 &
-              bio_header,                                                      &
-              bio_3d_data_averaging,                                           &
-              bio_data_output_2d,                                              &
-              bio_data_output_3d,                                              &
-              bio_rrd_global,                                                  &
-              bio_rrd_local,                                                   &
-              bio_wrd_global,                                                  &
-              bio_wrd_local
-
-   USE bulk_cloud_model_mod,                                                   &
-       ONLY:  bulk_cloud_model,                                                &
-              bcm_parin,                                                       &
-              bcm_check_parameters,                                            &
-              bcm_check_data_output_pr,                                        &
-              bcm_check_data_output,                                           &
-              bcm_init_arrays,                                                 &
-              bcm_init,                                                        &
-              bcm_header,                                                      &
-              bcm_swap_timelevel,                                              &
-              bcm_3d_data_averaging,                                           &
-              bcm_data_output_2d,                                              &
-              bcm_data_output_3d,                                              &
-              bcm_rrd_global,                                                  &
-              bcm_wrd_global,                                                  &
-              bcm_rrd_local,                                                   &
-              bcm_wrd_local
+ MODULE module_interface
+
+    USE indices,                                                               &
+        ONLY:  nbgp, nxl, nxlg, nxr, nxrg, nys, nysg, nyn, nyng, nzb, nzt
+
+    USE kinds
+
+!
+!-- load module-specific control parameters.
+!-- ToDo: move all of them to respective module or a dedicated central module
+    USE control_parameters,                                                    &
+        ONLY:  biometeorology,                                                 &
+               air_chemistry,                                                  &
+               indoor_model,                                                   &
+               land_surface,                                                   &
+               large_scale_forcing,                                            &
+               nesting_offline,                                                &
+               nudging,                                                        &
+               ocean_mode,                                                     &
+               plant_canopy,                                                   &
+               salsa,                                                          &
+               surface_output,                                                 &
+               syn_turb_gen,                                                   &
+               urban_surface,                                                  &
+               virtual_flight,                                                 &
+               virtual_measurement,                                            &
+               wind_turbine
+
+!
+!-- load interface routines of all PALM modules
+    USE biometeorology_mod,                                                    &
+        ONLY:  bio_parin,                                                      &
+               bio_check_data_output,                                          &
+               bio_init,                                                       &
+               bio_init_checks,                                                &
+               bio_header,                                                     &
+               bio_3d_data_averaging,                                          &
+               bio_data_output_2d,                                             &
+               bio_data_output_3d,                                             &
+               bio_rrd_global,                                                 &
+               bio_rrd_local,                                                  &
+               bio_wrd_global,                                                 &
+               bio_wrd_local
+
+    USE bulk_cloud_model_mod,                                                  &
+        ONLY:  bulk_cloud_model,                                               &
+               bcm_parin,                                                      &
+               bcm_check_parameters,                                           &
+               bcm_check_data_output_pr,                                       &
+               bcm_check_data_output,                                          &
+               bcm_init_arrays,                                                &
+               bcm_init,                                                       &
+               bcm_header,                                                     &
+               bcm_swap_timelevel,                                             &
+               bcm_3d_data_averaging,                                          &
+               bcm_data_output_2d,                                             &
+               bcm_data_output_3d,                                             &
+               bcm_rrd_global,                                                 &
+               bcm_wrd_global,                                                 &
+               bcm_rrd_local,                                                  &
+               bcm_wrd_local
 
    USE chemistry_model_mod,                                                    &
